/*
 * CampoLLenoParaValorDeOtroCampoDep.java
 *
 * Created on 24 de marzo de 2007, 10:50 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author jlozanop
 */
public class CampoLLenoParaValorDeOtroCampoDep extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])) {

			if (registro[new Integer((String) getParams()[2]).intValue()]
					.equals(getParams()[3])) {

				return (field.length() > 0);

			}
		}
		return false;
	}

}